Bug 822837 - [OriginliveCD] Fail to alter the domain name.
[OriginliveCD] Fail to alter the domain name.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Krishna Raman
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 06:14 EDT by yquan
Modified: 2015-05-14 21:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: devenv_1809
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yquan 2012-05-18 06:14:08 EDT
Description of problem:
Fail to alter the domain name.
The new name space is created and the URL of app is change to the new namespace is success in back-end. But still return the old URL when use command like rhc domain show.
It also return message like below.

RESULT:
Error updating apps: ["php0"].  Updates will not be completed until all apps can be updated successfully.  If the problem persists please contact support.


Version-Release number of selected component (if applicable):
OriginliveCD May 17th 
MD5:0ec0e9d485baa09ec3f41d5129c760bd

How reproducible:
always

Steps to Reproduce:
1.Create domain then create an app in live cd
2.Alter the domain name.
3.
  
Actual results:

Fail to alter the domain name.
The new name space is created and the URL of app is change to the new namespace is success in back-end. But still return the old URL when use command like rhc domain show.
It also return message like below.

RESULT:
Error updating apps: ["php0"].  Updates will not be completed until all apps can be updated successfully.  If the problem persists please contact support.


Expected results:
The changing of domain name should successful as usual.

Additional info:
Comment 1 Krishna Raman 2012-05-30 16:26:16 EDT
https://github.com/openshift/crankcase/pull/88
Comment 2 Peter Ruan 2012-06-01 12:46:11 EDT
verfied with the steps above.

Note You need to log in before you can comment on or make changes to this bug.